Firmware
Retrieve, add and remove Firmware records associated with Hardware entities.
Get Firmware
/hardware/v1/firmware
Get firmware.
Requires a bearer access token for this API with the Global.Hardware.Variant.Firmware.Read permission. See Authentication.
Parameters
Returns only the items that match, written as (path::operator::value), such as (name::co::Lab). Operators are eq, co, sw, ew, gt and pr, and the case-insensitive ieq, ico, isw and iew. Combine conditions as ((a)::and::(b)) or ((a)::or::(b)).
Orders the items, written as (path::asc) or (path::desc). Combine orders as ((a)::and::(b)).
The maximum number of items to return.
Returns the next page: the _metadata.continuationToken of the previous response.
Responses
Response schema with result and metadata
Metadata for paginated responses. This includes total count, limit, and continuation token.
Unauthorized
One of: 401
One of: "Unauthorized"
Forbidden: the token is valid but does not allow this request
Error
One of: 500
One of: "Unauthorized"
Try it
curl -X GET "https://connect.cambrionix.com/api/hardware/v1/firmware" \ -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"
Get Firmware by Id
/hardware/v1/firmware/{hardwareFirmwareId}
Get a firmware record by id.
Requires a bearer access token for this API with the Global.Hardware.Variant.Firmware.Read permission. See Authentication.
Parameters
Path parameter
Responses
Response schema with result and metadata
Metadata for paginated responses. This includes total count, limit, and continuation token.
Unauthorized
One of: 401
One of: "Unauthorized"
Forbidden: the token is valid but does not allow this request
Error
One of: 500
One of: "Unauthorized"
Try it
curl -X GET "https://connect.cambrionix.com/api/hardware/v1/firmware/{hardwareFirmwareId}" \ -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"
Patch Firmware by Id
/hardware/v1/firmware/{hardwareFirmwareId}
Patch a firmware record by id.
Requires a bearer access token for this API with the Global.Hardware.Variant.Firmware.Write permission. See Authentication.
Parameters
Path parameter
Request body
One of: "Connect"
Responses
Response schema with result and metadata
Metadata for paginated responses. This includes total count, limit, and continuation token.
Unauthorized
One of: 401
One of: "Unauthorized"
Forbidden: the token is valid but does not allow this request
Error
One of: 500
One of: "Unauthorized"
Try it
curl -X PATCH "https://connect.cambrionix.com/api/hardware/v1/firmware/{hardwareFirmwareId}" \ -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN" \ -H "Content-Type: application/json" \ -d '{ "hardware": { "id": "string" }, "id": "string", "version": "string", "type": "Connect" }'
Delete Firmware by Id
/hardware/v1/firmware/{hardwareFirmwareId}
Delete a firmware record by id.
Requires a bearer access token for this API with the Global.Hardware.Variant.Firmware.Delete permission. See Authentication.
Parameters
Path parameter
Responses
Metadata for paginated responses. This includes total count, limit, and continuation token.
Unauthorized
One of: 401
One of: "Unauthorized"
Forbidden: the token is valid but does not allow this request
Error
One of: 500
One of: "Unauthorized"
Try it
curl -X DELETE "https://connect.cambrionix.com/api/hardware/v1/firmware/{hardwareFirmwareId}" \ -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"
List Firmware
/hardware/v1/hardware-families/{hardwareFamilyId}/hardware/{hardwareId}/firmware
Get all Firmware for a given Hardware Device.
Requires a bearer access token for this API. See Authentication.
Parameters
Path parameter
Path parameter
Returns only the items that match, written as (path::operator::value), such as (name::co::Lab). Operators are eq, co, sw, ew, gt and pr, and the case-insensitive ieq, ico, isw and iew. Combine conditions as ((a)::and::(b)) or ((a)::or::(b)).
Orders the items, written as (path::asc) or (path::desc). Combine orders as ((a)::and::(b)).
The maximum number of items to return.
Returns the next page: the _metadata.continuationToken of the previous response.
Responses
Response schema with result and metadata
Metadata for paginated responses. This includes total count, limit, and continuation token.
Unauthorized
One of: 401
One of: "Unauthorized"
Forbidden: the token is valid but does not allow this request
Error
One of: 500
One of: "Unauthorized"
Try it
curl -X GET "https://connect.cambrionix.com/api/hardware/v1/hardware-families/{hardwareFamilyId}/hardware/{hardwareId}/firmware" \ -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"
Get Firmware by Id
/hardware/v1/hardware-families/{hardwareFamilyId}/hardware/{hardwareId}/firmware/{hardwareFirmwareId}
Get a firmware record by id.
Requires a bearer access token for this API with the Global.Hardware.Variant.Firmware.Read permission. See Authentication.
Parameters
Path parameter
Path parameter
Path parameter
Responses
Response schema with result and metadata
Metadata for paginated responses. This includes total count, limit, and continuation token.
Unauthorized
One of: 401
One of: "Unauthorized"
Forbidden: the token is valid but does not allow this request
Error
One of: 500
One of: "Unauthorized"
Try it
curl -X GET "https://connect.cambrionix.com/api/hardware/v1/hardware-families/{hardwareFamilyId}/hardware/{hardwareId}/firmware/{hardwareFirmwareId}" \ -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"
Patch Firmware by Id
/hardware/v1/hardware-families/{hardwareFamilyId}/hardware/{hardwareId}/firmware/{hardwareFirmwareId}
Patch a firmware record by id.
Requires a bearer access token for this API with the Global.Hardware.Variant.Firmware.Write permission. See Authentication.
Parameters
Path parameter
Path parameter
Path parameter
Request body
One of: "Connect"
Responses
Response schema with result and metadata
Metadata for paginated responses. This includes total count, limit, and continuation token.
Unauthorized
One of: 401
One of: "Unauthorized"
Forbidden: the token is valid but does not allow this request
Error
One of: 500
One of: "Unauthorized"
Try it
curl -X PATCH "https://connect.cambrionix.com/api/hardware/v1/hardware-families/{hardwareFamilyId}/hardware/{hardwareId}/firmware/{hardwareFirmwareId}" \ -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN" \ -H "Content-Type: application/json" \ -d '{ "hardware": { "id": "string" }, "id": "string", "version": "string", "type": "Connect" }'
Delete Firmware by Id
/hardware/v1/hardware-families/{hardwareFamilyId}/hardware/{hardwareId}/firmware/{hardwareFirmwareId}
Delete a firmware record by id.
Requires a bearer access token for this API with the Global.Hardware.Variant.Firmware.Delete permission. See Authentication.
Parameters
Path parameter
Path parameter
Path parameter
Responses
Metadata for paginated responses. This includes total count, limit, and continuation token.
Unauthorized
One of: 401
One of: "Unauthorized"
Forbidden: the token is valid but does not allow this request
Error
One of: 500
One of: "Unauthorized"
Try it
curl -X DELETE "https://connect.cambrionix.com/api/hardware/v1/hardware-families/{hardwareFamilyId}/hardware/{hardwareId}/firmware/{hardwareFirmwareId}" \ -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"
Get Organization Firmware
/hardware/v1/organization/hardware/firmware
Get all organization firmware.
Requires a bearer access token for this API with the Organization.Hardware.Firmware.Read permission. See Authentication.
Parameters
Returns only the items that match, written as (path::operator::value), such as (name::co::Lab). Operators are eq, co, sw, ew, gt and pr, and the case-insensitive ieq, ico, isw and iew. Combine conditions as ((a)::and::(b)) or ((a)::or::(b)).
Orders the items, written as (path::asc) or (path::desc). Combine orders as ((a)::and::(b)).
The maximum number of items to return.
Returns the next page: the _metadata.continuationToken of the previous response.
Responses
Response schema with result and metadata
Metadata for paginated responses. This includes total count, limit, and continuation token.
Unauthorized
One of: 401
One of: "Unauthorized"
Forbidden: the token is valid but does not allow this request
Error
One of: 500
One of: "Unauthorized"
Try it
curl -X GET "https://connect.cambrionix.com/api/hardware/v1/organization/hardware/firmware" \ -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"
Create Organization Firmware
/hardware/v1/organization/hardware/firmware
Create a firmware.
Requires a bearer access token for this API with the Organization.Hardware.Firmware.Write permission. See Authentication.
Request body
Responses
Response schema with result and metadata
Metadata for paginated responses. This includes total count, limit, and continuation token.
Unauthorized
One of: 401
One of: "Unauthorized"
Forbidden: the token is valid but does not allow this request
Error
One of: 500
One of: "Unauthorized"
Try it
curl -X POST "https://connect.cambrionix.com/api/hardware/v1/organization/hardware/firmware" \ -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN" \ -H "Content-Type: application/json" \ -d '{ "version": "string", "identifier": "string" }'
Get Organization Firmware
/hardware/v1/organization/hardware/firmware/{organizationHardwareFirmwareId}
Get an organization firmware by id.
Requires a bearer access token for this API with the Organization.Hardware.Firmware.Read permission. See Authentication.
Parameters
Path parameter
Responses
Response schema with result and metadata
Metadata for paginated responses. This includes total count, limit, and continuation token.
Unauthorized
One of: 401
One of: "Unauthorized"
Forbidden: the token is valid but does not allow this request
Error
One of: 500
One of: "Unauthorized"
Try it
curl -X GET "https://connect.cambrionix.com/api/hardware/v1/organization/hardware/firmware/{organizationHardwareFirmwareId}" \ -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"
Update Organization Firmware
/hardware/v1/organization/hardware/firmware/{organizationHardwareFirmwareId}
Update an organization firmware by id.
Requires a bearer access token for this API with the Organization.Hardware.Firmware.Write permission. See Authentication.
Parameters
Path parameter
Request body
Responses
Response schema with result and metadata
Metadata for paginated responses. This includes total count, limit, and continuation token.
Unauthorized
One of: 401
One of: "Unauthorized"
Forbidden: the token is valid but does not allow this request
Error
One of: 500
One of: "Unauthorized"
Try it
curl -X PATCH "https://connect.cambrionix.com/api/hardware/v1/organization/hardware/firmware/{organizationHardwareFirmwareId}" \ -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN" \ -H "Content-Type: application/json" \ -d '{ "version": "string" }'
Delete Organization Firmware
/hardware/v1/organization/hardware/firmware/{organizationHardwareFirmwareId}
Delete an organization firmware by id.
Requires a bearer access token for this API with the Organization.Hardware.Firmware.Delete permission. See Authentication.
Parameters
Path parameter
Responses
Metadata for paginated responses. This includes total count, limit, and continuation token.
Unauthorized
One of: 401
One of: "Unauthorized"
Forbidden: the token is valid but does not allow this request
Error
One of: 500
One of: "Unauthorized"
Try it
curl -X DELETE "https://connect.cambrionix.com/api/hardware/v1/organization/hardware/firmware/{organizationHardwareFirmwareId}" \ -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"